Bug 3127 - pam_securetty misrecognize the tty that the user is logging in from
Summary: pam_securetty misrecognize the tty that the user is logging in from
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-28 17:35 UTC by Matt Wilson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-24 01:01:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Wilson 1999-05-28 17:35:05 UTC
When logging in from unix98 ptys, pam_securetty looks in
/etc/securetty to see if that terminal is allowed.  The
module looks at the part of the device after the last '/' to
match against the entry in /dev.  If users add 'pts/1' to
/etc/securetty this will not work.  The user must add '1' to
/etc/securetty as pam_securetty looks at only the part after
the last '/'.

Comment 1 Jay Turner 1999-06-28 16:23:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Cristian Gafton 1999-08-24 01:01:59 UTC
Fixed in the current package from rawhide


Note You need to log in before you can comment on or make changes to this bug.